[P016]Patent Citation
Query a specific patent’s citation during application process via patent_id or patent_number, including: citing patent country/region/organization code, cited patent document number/code, cited patent type (applicant/examiner citation), examiner-cited document category (X, Y, A, etc.), cited non-patent literature serial number, and its DOI, title, author, publication.
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 4ad45196-06ed-4bef-b5d5-ac2ff2b6032c,314b8a88-3877-4bf4-9461-f501f94876bd | patent_id |
| string | US10071304B2 | patent_number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
pn | string | US11205304B2 | patent number |
patent_id | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent id |
patsnap_reference_cited | object | Please check the form: ReferenceCitedIncrem | patsnap reference cited |
cited_others | array | Please check the form: CitedOthers | citation reference |
doi | string | 10.1016/J.JMGM.2011.06.008 | Citation reference DOI |
num | string | 0001 | patents sequence |
lang | string | JP | Language |
text | string | LEI ZHANG ET AL,Potential interventions for novel coronavirus in China: A systematic review,JOURNAL OF MEDICAL VIROLOGY,vol.92,no.5,ISSN0146-6615,XP055744877,479-490 | Citation reference text |
title | string | Potential interventions for novel coronavirus in China: A systematic review | Citation reference title |
author | array | Please check the form: Author | Citation reference author |
lang | string | JP | Language |
name | string | トヨタ自動車株式会社 | name |
sequence | integer<int32> | 1 | sequence |
copyright | string | Nature | Citation reference publication |
cited_patents | array | Please check the form: CitedPatents | citation patents |
pn | string | CN112833870A | patent number |
num | string | 0001 | patents sequence |
apdt | integer<int32> | 20201230 | Application Date |
apno | string | CN202011610975.8 | application number |
kind | string | A1 | kind code |
pbdt | integer<int32> | 20201230 | Publication Date |
title | string | 核磁共振陀螺中抑制碱金属原子极化磁场影响的有效方法 | Title |
country | string | US | citation authority |
category | array | [
"A"
] | Citation category of examiners |
inventor | string | 张燚|汪之国|李佳佳 | Inventor |
cite_type | array | [
"EXA"
] | Citation type: APP - applicant,EXA - examiner,OPP - opposition,TPO - third party observation,OTHER - others |
doc_number | string | 20130033085 | doc number |
current_assignee | string | 中国人民解放军国防科技大学 | Current Assignee |
original_assignee | string | 中国人民解放军国防科技大学 | Original Assignee (Applicant) |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"pn": "US11205304B2",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"patsnap_reference_cited": {
"cited_others": [
{
"doi": "10.1016/J.JMGM.2011.06.008",
"num": "0001",
"lang": "JP",
"text": "LEI ZHANG ET AL,Potential interventions for novel coronavirus in China: A systematic review,JOURNAL OF MEDICAL VIROLOGY,vol.92,no.5,ISSN0146-6615,XP055744877,479-490",
"title": "Potential interventions for novel coronavirus in China: A systematic review",
"author": [
{
"lang": "JP",
"name": "トヨタ自動車株式会社",
"sequence": 1
}
],
"copyright": "Nature"
}
],
"cited_patents": [
{
"pn": "CN112833870A",
"num": "0001",
"apdt": 20201230,
"apno": "CN202011610975.8",
"kind": "A1",
"pbdt": 20201230,
"title": "核磁共振陀螺中抑制碱金属原子极化磁场影响的有效方法",
"country": "US",
"category": [
"A"
],
"inventor": "张燚|汪之国|李佳佳",
"cite_type": [
"EXA"
],
"doc_number": "20130033085",
"current_assignee": "中国人民解放军国防科技大学",
"original_assignee": "中国人民解放军国防科技大学"
}
]
}
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms